Anonymous Login
2019-02-22 13:07 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000655v3.0 Release[All Projects] Generalpublic2013-08-28 11:25
Reporteropto 
Assigned Tobigbluehat 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000655: add lastmodified to events (and todo's??) for ical sync
Descriptiontasks have a lastmodified in the db, events don't, don't remember about todos.

For the ical syc, this would make things much easier than using the creation date of the feed. If I want to sync to computers (notebook, desktop) to the same db, using the actual last modified makes the comparisons for conflict resolution much easier.

Klaus

(currently busy for a business trip, but hope ical sync will come very early 2011)
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000757closedcaseydk Pending Requests please add lastmodified date for events 
+Relationships

-Notes

~0001650

caseydk (administrator)

At present, we have last update times available in the Tasks and Todos module but nothing in the Calendar/Events. We'll need to add it to resolve this one.

~0001836

caseydk (administrator)

@Bigbluehat

The link you sent:
https://github.com/caseysoftware/web2project/blob/master/modules/calendar/calendar.class.php#L1065
doesn't fix this one.. as that uses NOW() as the last update time for the event instead of the event's last update time.

This should just take a database change to events and tweaking getCalendarEvents

~0002475

opto (manager)

Last edited: 2012-04-09 05:02

my pull request fixes that for events:

https://github.com/caseysoftware/web2project/pull/78

Klaus

~0002524

caseydk (administrator)

Resolved in r2425 as described;
+Notes

-Issue History
Date Modified Username Field Change
2010-12-11 12:26 opto New Issue
2010-12-11 12:34 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-02-18 21:21 caseydk Note Added: 0001650
2011-03-22 12:12 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-03-26 14:24 caseydk Relationship added has duplicate 0000757
2011-04-02 06:25 bigbluehat Status new => assigned
2011-04-02 06:25 bigbluehat Assigned To => bigbluehat
2011-04-02 08:41 caseydk Note Added: 0001836
2011-06-25 23:28 caseydk Project v2.4 Release (Closed) => Pending Requests
2012-04-09 05:01 opto Note Added: 0002475
2012-04-09 05:02 opto Note Edited: 0002475
2012-04-24 22:08 caseydk Project Pending Requests => v3.0 Release
2012-05-16 17:48 caseydk Note Added: 0002524
2012-05-16 17:48 caseydk Status assigned => resolved
2012-05-16 17:48 caseydk Resolution open => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:25 caseydk Status resolved => closed
+Issue History